Skip to content

Schedule a maintenance window on a status page.

POST
/status_page/{status_page_id}/maintenance/
curl --request POST \
--url https://api.siteqwality.com/status_page/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/maintenance/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "title": "example", "body": "example", "scheduled_start_at": "2026-04-15T12:00:00Z", "scheduled_end_at": "2026-04-15T12:00:00Z", "affected_http_job_ids": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'
status_page_id
required
string format: uuid

Status page identifier

Media type application/json
object
title
required
string
body
string | null
scheduled_start_at
required
string format: date-time
scheduled_end_at
required
string format: date-time
affected_http_job_ids
array | null
Example generated
{
"title": "example",
"body": "example",
"scheduled_start_at": "2026-04-15T12:00:00Z",
"scheduled_end_at": "2026-04-15T12:00:00Z",
"affected_http_job_ids": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
]
}

Maintenance window created

Media type application/json
object
id
required
string format: uuid
status_page_id
required
string format: uuid
title
required
string
body
string | null
status
required
string
Allowed values: scheduled in_progress completed
scheduled_start_at
required
string format: date-time
scheduled_end_at
required
string format: date-time
affected_http_job_ids
required
Array<string>
created_at
required
string format: date-time
Example
{
"status": "scheduled"
}

Missing or invalid authentication

Internal server error